﻿using System.Threading;
using Microsoft.SPOT.Hardware;
using Mountaineer.Netmf.Hardware;

public class LightSwitch
{
    public static void Main()
    {
        var switchPort = new InputPort(OnboardIO.Button, false,
            Port.ResistorMode.Disabled);
        var ledPort = new OutputPort(OnboardIO.LedGreen, false);

        while (true)
        {
            bool isClosed = switchPort.Read();
            if (isClosed)
            {
                ledPort.Write(true);
            }
            else
            {
                ledPort.Write(false);
            }
            Thread.Sleep(100);              // 100 milliseconds
        }
    }
}
